# alpine-php8-cron-webserver

Cron Commands können per Crontab in einem Dockerfile erstellt werden. Dafür müssen die Cronjobs in /var/crontab eingefügt werden:

```
RUN echo "# Docker Cron Jobs" > /var/crontab \
    && echo "SHELL=/bin/sh" >> /var/crontab \
    && echo "TZ=Europe/Berlin" >> /var/crontab \
    && echo "*/10 * * * * /bin/sh /distributed_cron.sh '/var/www/html/data/cron_lock' 'php /var/www/html/bin/console cron:run'" >> /var/crontab \
    && echo "" >> /var/crontab \
    && chown nobody:nobody /var/crontab
```

Oder die Cronjobs könnern per ENV eingefügt werden:

```
ENV CRON_COMMAND_0="*/10 * * * * /bin/sh /distributed_cron.sh '/var/www/html/data/cron_lock' 'php /var/www/html/bin/console cron:run'"
ENV CRON_COMMAND_1="0 0 * * * date"
```